OTBCLI_BANDMATH(1)

NAME
otbcli_SampleExtraction - OTB SampleExtraction application

DESCRIPTION
This is the SampleExtraction application, version 5.6.0 Extracts samples values from an image.

Complete documentation: http://www.orfeo-toolbox.org/Applications/SampleExtraction.html

  Parameters:

-progress <boolean>
    Report progress

 -in <string> InputImage (mandatory)
 -vec <string> Input sampling positions (mandatory)
 -out <string> Output samples (optional, off by default)
 -outfield <string> Output field names [prefix/list] (mandatory, default value is prefix)
 -outfield.prefix.name <string> Output field prefix (mandatory, default value is value_)
 -outfield.list.names <string list> Output field names (mandatory)
 -field <string> Field Name (optional, on by default, default value is class)
 -layer <int32> Layer Index (optional, on by default, default value is 0)
 -ram <int32> Available RAM (Mb) (optional, off by default, default value is 128)
 -inxml <string> Load otb application from xml file (optional, off by default)

EXAMPLES
otbcli_SampleExtraction -in support_image.tif -vec sample_positions.sqlite -outfield prefix -outfield.prefix.name band_ -field label -out sample_values.sqlite